import React, { Component } from 'react';
import './input.scss'
import classnames from "classnames";


class Index extends Component {
    constructor(props) {
        super(props)
        this.state = {
            value: ''
        }
    }

    handleChange = (e) => {
        let val = e.target.value
        let {onChange} = this.props
        this.setState({value: val})
        onChange && onChange(val)
    }

    render() {
        let {type, icon, placeholder, wrapperClass, children} = this.props
        return (
            <div className={classnames('input-wrapper', wrapperClass)}>
                <input
                    type={type}
                    className='input'
                    placeholder={placeholder}
                    value={this.state.value}
                    onChange={this.handleChange}
                />
                {/*<i className={classnames('iconfont', iconClass)}/>*/}
                {icon}
                {children}
            </div>
        )
    }
}

export default Index;